%define libarchive_major 12
%define libarchive %mklibname archive %{libarchive_major}

%define url_ver 2.8.42
Name:       ocaml-archive
Version:    2.8.4+2
Release:    %mkrel 2
Summary:    Binding to libarchive
License:    LGPL-2.1 with OCaml linking exception
Group:      Development/OCaml
URL:        https://forge.ocamlcore.org/projects/ocaml-archive/
Source0:    http://download.ocamlcore.org/ocaml-archive/ocaml-archive/%{url_ver}/ocaml-archive-%{version}.tar.gz
# these will probably be fixed in the next release:
Patch0:     ocaml-archive-2.8.4+1-extString.patch
BuildRequires:  libarchive-devel
BuildRequires:  libncurses-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-fileutils-devel
BuildRequires:  ocaml-extlib-devel
Requires:   ocaml-lwt
Requires:   ocaml-fileutils
Requires:   ocaml-extlib

%description
libarchive is a C library for reading and writing tar, cpio, zip, ISO, and
other archive formats. This library is its OCaml bindings.

 * Reads a variety of formats, including tar, pax, cpio, zip, xar, lha, ar,
   cab, mtree, and ISO images.
 * Writes tar, pax, cpio, zip, xar, ar, ISO, mtree, and shar archives.
 * Full automatic format detection when reading archives, including
   compressed archives. 

libarchive website:
 http://code.google.com/p/libarchive/

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   %{libarchive}
Requires:   ocaml-lwt-devel
Requires:   ocaml-fileutils-devel
Requires:   ocaml-extlib-devel

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocaml-archive-%{version}
%patch0 -p1

%build
ocaml setup.ml -configure \
    --enable-tests \
    \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/archive
make install

%files
%doc README.txt AUTHORS.txt
%dir %{_libdir}/ocaml/archive
%{_libdir}/ocaml/archive/META
%{_libdir}/ocaml/archive/*.cmi
%{_libdir}/ocaml/archive/*.cma
%{_libdir}/ocaml/archive/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/archive/*.a
%{_libdir}/ocaml/archive/*.cmxa
%{_libdir}/ocaml/archive/*.cmx
%{_libdir}/ocaml/archive/*.mli
%{_libdir}/ocaml/archive/*.ml


%changelog

* Thu Mar 28 2013 blue_prawn <blue_prawn> 2.8.4+2-2.mga3
+ Revision: 406061
- try to fix libarchive dependency
- try to fix libarchive dependency

* Tue Mar 19 2013 blue_prawn <blue_prawn> 2.8.4+2-1.mga3
+ Revision: 404114
- s/curses/ncurses/
- build requires libcurses-devel
- build requires libarchive-devel
- build requires fileutils and extlib
- build requires ounit
- build requires lwt
- imported package ocaml-archive

